
# base configuration, common to all repos
class base:
	# this script's name, usually just "darcsweb.cgi" unless you rename it
	myname = "darcsweb.cgi"

	# our url, used only to generate RSS links, without the script name
	myurl = "http://albertito.homeip.net:8026/darcsweb"

	# location of the darcs logo
	darcslogo = "darcs.png"

	# location of the darcs favicon
	darcsfav = "minidarcs.png"

	# the CSS file to use
	cssfile = 'style.css'

	# optionally, you can specify the path to the darcs executable; if you
	# leave this commented, the one on $PATH will be used (this is
	# normally what you want)
	#darcspath = "/home/me/bin/"

	# the text to appear in the top of repo list; this is also optional,
	# and html-formatted
	#summary = "I love darcs!"

	# in case you want to change the beautiful default, you can specify an
	# alternative footer here; it's optional, of course
	#footer = "I don't like shoes"


#
# From now on, every class is a repo configuration, with the same format
# There are no restrictions on the class' name, except that it can't be named
# "base" (because it's the name of the one above).
#
# If you have a lot of repos and/or you're too lazy to do this by hand, you
# can use the configuration generator that comes with darcsweb, called
# "mkconfig.py".
#

class repo1:
	# the descriptive name
	reponame = 'repo1'

	# a brief description
	repodesc = 'Example repository'

	# the real path to the repository
	repodir = '/usr/src/repo1'

	# an url so people know where to do "darcs get" from
	repourl = 'http://auriga.wearlab.de/~alb/repos/repo1'

	# the encoding used in the repo
	# NOTE: if you use utf8, you _must_ write 'utf8' (and not the variants
	# like 'utf-8' or 'UTF8') if you expect darcsweb to work properly.
	# This is because to workaround a bug in darcs we need to do some
	# codec mangling and it needs special cases for UTF8.
	repoencoding = "latin1"

	# as with the base configuration, the footer is also optional, and it
	# affects only this repository; if you don't specify, the one
	# specified in base is used (and if you don't specify one there
	# either, a default one is used)
	#footer = "I don't like being cold"


class repo2:
	reponame = 'repo2'
	repodesc = 'Second example repository'
	repodir = '/usr/src/repo2'
	repourl = 'http://auriga.wearlab.de/~alb/repos/repo2'
	repoencoding = 'latin1'


